defmodule Authsense.Test.ProcessStore do
  @moduledoc """
  Derived from:
  https://github.com/elixir-lang/plug/blob/master/test/test_helper.exs
  """

  @behaviour Plug.Session.Store

  def init(_opts) do
    nil
  end

  def get(_conn, sid, nil) do
    {sid, Process.get({:session, sid}) || %{}}
  end

  def delete(_conn, sid, nil) do
    Process.delete({:session, sid})
    :ok
  end

  def put(conn, nil, data, nil) do
    sid = :crypto.strong_rand_bytes(96) |> Base.encode64
    put(conn, sid, data, nil)
  end

  def put(_conn, sid, data, nil) do
    Process.put({:session, sid}, data)
    sid
  end
end
